import * as $dara from '@darabonba/typescript';
import { TransformEipSegmentToPublicIpAddressPoolResponseBody } from "./TransformEipSegmentToPublicIpAddressPoolResponseBody";
export declare class TransformEipSegmentToPublicIpAddressPoolResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: TransformEipSegmentToPublicIpAddressPoolResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
